Page 1 of 1

Error when running "pacman -Sy"

Posted: Fri Apr 03, 2020 10:29 pm
by lunaisnotaboy
Hi! I just installed devkitPro, and when I tried to update the packages using

Code: Select all

pacman -Sy
I got this error:

Code: Select all

C:\WINDOWS\system32>pacman -Sy
:: Synchronizing package databases...
 msys is up to date
error: failed retrieving file 'dkp-libs.db' from downloads.devkitpro.org : error setting certificate verify locations:
  CAfile: /usr/ssl/certs/ca-bundle.crt
  CApath: none
error: failed to update dkp-libs (download library error)
error: failed retrieving file 'dkp-windows.db' from downloads.devkitpro.org : error setting certificate verify locations:
  CAfile: /usr/ssl/certs/ca-bundle.crt
  CApath: none
error: failed to update dkp-windows (download library error)
error: failed to synchronize all databases
Does anyone know how to fix this?

Re: Unable to update devkitPro packages using pacman due to SSL error

Posted: Mon Apr 06, 2020 11:53 pm
by lunaisnotaboy
WinterMute wrote:
Sun Apr 05, 2020 8:57 pm
What do you get if you visit http://downloads.devkitpro.org in a web browser?
I just get "Hello world" and nothing else.

Re: Error when running "pacman -Sy"

Posted: Sun Apr 12, 2020 2:03 am
by WinterMute
Did you use the windows installer?

What happens if you run pacman -Sy from the msys2 shell instead?

Does /usr/ssl/certs/ca-bundle.crt exist? (You'll need to check this one from msys2 shell)